Bug 143990 - Bad /etc/gconf/schemas/panel-default-setup-battstat.entries file
Bad /etc/gconf/schemas/panel-default-setup-battstat.entries file
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2005-01-03 09:06 EST by Nils Philippsen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-05 12:39:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2005-01-03 09:06:24 EST
Description of problem:

When installing gnome-panel-2.8.1-3 or running "LANG=C LC_ALL=C gconftool-2
--makefile-install-rule /etc/gconf/schemas/panel-default-setup-battstat.entries"
it gives:

Resolved address "xml::/etc/gconf/gconf.xml.defaults" to a writable
configuration source at position 0
Document `/etc/gconf/schemas/panel-default-setup-battstat.entries' has the wrong
type of root node (<gconfentryfile>, should be <gconfschemafile>)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

see above

Expected results:

No error message, gconf schema installed

Additional info:
Comment 1 Mark McLoughlin 2005-01-05 05:49:46 EST
Hmm, I'd expect that error message with --makefile-install-rule, but I
don't understand how you're getting when installing the package
because the package installs that file with --load rather than

Are you sure you get:

Document `/etc/gconf/schemas/panel-default-setup-battstat.entries' has
the wrong
type of root node (<gconfentryfile>, should be <gconfschemafile>)

when installing the package?
Comment 2 Nils Philippsen 2005-01-05 07:59:19 EST
Bah, my initial description was wrong with respect to the installation
part -- I had a severe problem on my root partition that confused many
configuration files and after the usual salvaging I decided to do the
gconftool thing above on all files in the directory. That's where I
got the error from (I just kind of assumed that the error would show
when installing the package as well). Still this at least makes me
suspect there's something wrong with the file, isn't it?

BTW: the %post section only checks for APM, doesn't the
battstat_applet work with ACPI as well?
Comment 3 Mark McLoughlin 2005-01-05 08:51:01 EST
So, how did you wind up running gconftool-2 --makefile-install-rule
panel-default-setup-battstat.entries ? 

i.e. did you just assume that's what you're supposed to do for all
files  in /etc/gconf/schemas or was it contained in something
generated from the %post scriptlet?

If the former, then its NOTABUG - .entries files are loaded with
--load and .schemas files are loaded with --makefile-install-rule. If
the latter, then something odd is going on somewhere.

As for the ACPI question, see bug #143828
Comment 4 Nils Philippsen 2005-01-05 12:39:58 EST
The former (doh), sorry.

Note You need to log in before you can comment on or make changes to this bug.